# Uses of Enum Class
org.apache.lucene.expressions.js.VariableContext.Type

Packages that use VariableContext.Type
Package
Description
org.apache.lucene.expressions.js
Javascript expressions.

- ## Uses of VariableContext.Type in org.apache.lucene.expressions.js

  Fields in org.apache.lucene.expressions.js declared as VariableContext.Type
  Modifier and Type
  Field
  Description
  `final VariableContext.Type`
  VariableContext.`type`
  The type of this piece of a variable.
  Methods in org.apache.lucene.expressions.js that return VariableContext.Type
  Modifier and Type
  Method
  Description
  `static VariableContext.Type`
  VariableContext.Type.`valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static VariableContext.Type[]`
  VariableContext.Type.`values()`
  Returns an array containing the constants of this enum class, in the order they are declared.